JBoss Native SVN: r2110 - trunk/build/unix.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2008-12-10 08:21:11 -0500 (Wed, 10 Dec 2008)
New Revision: 2110
Modified:
trunk/build/unix/buildbin.mod_cluster.windows.sh
Log:
Arrange location.
Modified: trunk/build/unix/buildbin.mod_cluster.windows.sh
===================================================================
--- trunk/build/unix/buildbin.mod_cluster.windows.sh 2008-12-10 13:04:19 UTC (rev 2109)
+++ trunk/build/unix/buildbin.mod_cluster.windows.sh 2008-12-10 13:21:11 UTC (rev 2110)
@@ -72,7 +72,8 @@
)
# Also build the java part.
-(cd ../mod_cluster || exit 1
+mod_cluster_sources=srclib/`ls srclib | grep mod_cluster`
+(cd ${mod_cluster_sources} || exit 1
mvn -P dist package
cp target/*-bin.* ${build_top}/output
) || exit 1
16 years
JBoss Native SVN: r2109 - trunk/build/windows.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2008-12-10 08:04:19 -0500 (Wed, 10 Dec 2008)
New Revision: 2109
Modified:
trunk/build/windows/tools.ini
Log:
Try to prevent NMAKE being always successfull.
Modified: trunk/build/windows/tools.ini
===================================================================
--- trunk/build/windows/tools.ini 2008-12-10 11:08:18 UTC (rev 2108)
+++ trunk/build/windows/tools.ini 2008-12-10 13:04:19 UTC (rev 2109)
@@ -4,4 +4,4 @@
!CMDSWITCHES +A
# Ignores exit codes from all commands.
-!CMDSWITCHES +I
+#!CMDSWITCHES +I
16 years
JBoss Native SVN: r2108 - trunk/build/windows.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2008-12-10 06:08:18 -0500 (Wed, 10 Dec 2008)
New Revision: 2108
Modified:
trunk/build/windows/build.bat
Log:
Fail the script if build failed.
Modified: trunk/build/windows/build.bat
===================================================================
--- trunk/build/windows/build.bat 2008-12-10 08:44:24 UTC (rev 2107)
+++ trunk/build/windows/build.bat 2008-12-10 11:08:18 UTC (rev 2108)
@@ -157,6 +157,11 @@
set INIT=%LOCAL_DIR%
pushd %BUILD_HOME%\unix
bash build.sh %1 %2 %3 %4 %5
+@if ERRORLEVEL 1 (
+ echo build.sh failed
+ popd
+ EXIT 1
+)
popd
:cmdEnd
16 years
JBoss Native SVN: r2107 - trunk/build/unix.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2008-12-10 03:44:24 -0500 (Wed, 10 Dec 2008)
New Revision: 2107
Modified:
trunk/build/unix/build.sh
Log:
Fail the build if buildbin failed.
Modified: trunk/build/unix/build.sh
===================================================================
--- trunk/build/unix/build.sh 2008-12-10 08:08:35 UTC (rev 2106)
+++ trunk/build/unix/build.sh 2008-12-10 08:44:24 UTC (rev 2107)
@@ -999,6 +999,10 @@
# Only build binaries?
if $build_srcp; then
buildbin ${build_output_dir}
+ if [ $? -ne 0 ]; then
+ echo "buildbin ${build_output_dir} failed"
+ exit 1
+ fi
exit 0
fi
16 years
JBoss Native SVN: r2106 - trunk/build/unix.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2008-12-10 03:08:35 -0500 (Wed, 10 Dec 2008)
New Revision: 2106
Modified:
trunk/build/unix/package.list
Log:
Use lastest version of openssl.
Modified: trunk/build/unix/package.list
===================================================================
--- trunk/build/unix/package.list 2008-12-10 07:57:22 UTC (rev 2105)
+++ trunk/build/unix/package.list 2008-12-10 08:08:35 UTC (rev 2106)
@@ -24,5 +24,5 @@
# trunk of mod_cluster...
rhel-httpd|2.2.8-1.el5s2|httpd-2_2_8-1_el5s2|apr:r:apr-1_2_7-11|apu:r:apr-util-1_2_7-7_el5|api:v:1.2.1|ssl:r:openssl-0_9_8b-8_3_el5_0_2|zlib:v:1.2.3|jk:v:1.2.26|iconv:v:1.11|expat:v:1.95.8|cluster:t:trunk
# mod_cluster but using lastest ASF httpd.
-mod_cluster|1.0.0.dev|2.2.10|ssl:r:openssl-0_9_8b-8_3_el5_0_2|zlib:v:1.2.3|jk:v:1.2.26|iconv:v:1.11|expat:v:1.95.8|cluster:t:trunk
+mod_cluster|1.0.0.dev|2.2.10|ssl:v:0.9.8i|zlib:v:1.2.3|jk:v:1.2.26|iconv:v:1.11|expat:v:1.95.8|cluster:t:trunk
16 years
JBoss Native SVN: r2105 - trunk/build/unix.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2008-12-10 02:57:22 -0500 (Wed, 10 Dec 2008)
New Revision: 2105
Modified:
trunk/build/unix/buildbin.mod_cluster.windows.sh
Log:
Stop the build is mod_cluster directory is missing.
Modified: trunk/build/unix/buildbin.mod_cluster.windows.sh
===================================================================
--- trunk/build/unix/buildbin.mod_cluster.windows.sh 2008-12-09 17:43:53 UTC (rev 2104)
+++ trunk/build/unix/buildbin.mod_cluster.windows.sh 2008-12-10 07:57:22 UTC (rev 2105)
@@ -72,10 +72,10 @@
)
# Also build the java part.
-(cd ../mod_cluster
+(cd ../mod_cluster || exit 1
mvn -P dist package
cp target/*-bin.* ${build_top}/output
-)
+) || exit 1
echo "Done"
exit 0
16 years
JBoss Native SVN: r2104 - trunk/mod_cluster/src/main/java/org/jboss/modcluster.
by jbossnative-commits@lists.jboss.org
Author: pferraro
Date: 2008-12-09 12:43:53 -0500 (Tue, 09 Dec 2008)
New Revision: 2104
Modified:
trunk/mod_cluster/src/main/java/org/jboss/modcluster/ModClusterListener.java
Log:
Rename object name type
Modified: trunk/mod_cluster/src/main/java/org/jboss/modcluster/ModClusterListener.java
===================================================================
--- trunk/mod_cluster/src/main/java/org/jboss/modcluster/ModClusterListener.java 2008-12-09 17:25:32 UTC (rev 2103)
+++ trunk/mod_cluster/src/main/java/org/jboss/modcluster/ModClusterListener.java 2008-12-09 17:43:53 UTC (rev 2104)
@@ -170,7 +170,7 @@
private ObjectName getObjectName(Server server) throws MalformedObjectNameException
{
String domain = (String) IntrospectionUtils.getProperty(server, "domain");
- return ObjectName.getInstance(domain , "type", "ClusterListener");
+ return ObjectName.getInstance(domain , "type", "ModClusterListener");
}
/**
16 years
JBoss Native SVN: r2103 - trunk/build/unix.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2008-12-09 12:25:32 -0500 (Tue, 09 Dec 2008)
New Revision: 2103
Modified:
trunk/build/unix/buildbin.mod_cluster.sh
trunk/build/unix/buildbin.mod_cluster.windows.sh
Log:
Arrange location.
Modified: trunk/build/unix/buildbin.mod_cluster.sh
===================================================================
--- trunk/build/unix/buildbin.mod_cluster.sh 2008-12-09 17:23:59 UTC (rev 2102)
+++ trunk/build/unix/buildbin.mod_cluster.sh 2008-12-09 17:25:32 UTC (rev 2103)
@@ -222,7 +222,7 @@
# Also build the java part.
(cd ../mod_cluster
mvn -P dist package
- cp *-bin.* ${build_top}/output/${BUILD_TAG}
+ cp target/*-bin.* ${build_top}/output
)
Modified: trunk/build/unix/buildbin.mod_cluster.windows.sh
===================================================================
--- trunk/build/unix/buildbin.mod_cluster.windows.sh 2008-12-09 17:23:59 UTC (rev 2102)
+++ trunk/build/unix/buildbin.mod_cluster.windows.sh 2008-12-09 17:25:32 UTC (rev 2103)
@@ -74,7 +74,7 @@
# Also build the java part.
(cd ../mod_cluster
mvn -P dist package
- cp *-bin.* ${build_top}/output/${BUILD_TAG}
+ cp target/*-bin.* ${build_top}/output
)
echo "Done"
16 years
JBoss Native SVN: r2102 - trunk/mod_cluster/src/main/java/org/jboss/modcluster.
by jbossnative-commits@lists.jboss.org
Author: pferraro
Date: 2008-12-09 12:23:59 -0500 (Tue, 09 Dec 2008)
New Revision: 2102
Modified:
trunk/mod_cluster/src/main/java/org/jboss/modcluster/mbeans-descriptors.xml
Log:
Fixed class name to match refactoring.
Modified: trunk/mod_cluster/src/main/java/org/jboss/modcluster/mbeans-descriptors.xml
===================================================================
--- trunk/mod_cluster/src/main/java/org/jboss/modcluster/mbeans-descriptors.xml 2008-12-09 16:52:00 UTC (rev 2101)
+++ trunk/mod_cluster/src/main/java/org/jboss/modcluster/mbeans-descriptors.xml 2008-12-09 17:23:59 UTC (rev 2102)
@@ -1,11 +1,11 @@
<?xml version="1.0"?>
<mbeans-descriptors>
- <mbean name="ClusterListener"
- description="Cluster listener for mod_cluster"
+ <mbean name="ModClusterListener"
+ description="Lifecycle listener for mod_cluster"
domain="Catalina"
group="Listener"
- type="org.jboss.modcluster.ClusterListener">
+ type="org.jboss.modcluster.ModClusterListener">
<attribute name="className"
description="Fully qualified class name of the managed object"
16 years
JBoss Native SVN: r2101 - trunk/build/unix.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2008-12-09 11:52:00 -0500 (Tue, 09 Dec 2008)
New Revision: 2101
Modified:
trunk/build/unix/buildbin.mod_cluster.sh
trunk/build/unix/buildbin.mod_cluster.windows.sh
Log:
Put the resulting java binary in the artifacts archived directory.
Modified: trunk/build/unix/buildbin.mod_cluster.sh
===================================================================
--- trunk/build/unix/buildbin.mod_cluster.sh 2008-12-09 16:38:33 UTC (rev 2100)
+++ trunk/build/unix/buildbin.mod_cluster.sh 2008-12-09 16:52:00 UTC (rev 2101)
@@ -222,6 +222,7 @@
# Also build the java part.
(cd ../mod_cluster
mvn -P dist package
+ cp *-bin.* ${build_top}/output/${BUILD_TAG}
)
Modified: trunk/build/unix/buildbin.mod_cluster.windows.sh
===================================================================
--- trunk/build/unix/buildbin.mod_cluster.windows.sh 2008-12-09 16:38:33 UTC (rev 2100)
+++ trunk/build/unix/buildbin.mod_cluster.windows.sh 2008-12-09 16:52:00 UTC (rev 2101)
@@ -74,6 +74,7 @@
# Also build the java part.
(cd ../mod_cluster
mvn -P dist package
+ cp *-bin.* ${build_top}/output/${BUILD_TAG}
)
echo "Done"
16 years